AutoCAD Inventor :: Making Line Configurations Closed Shapes For Extrusion?
Mar 7, 2011
I just completed a sketch for a simple part I'm working on. It contains some arcs, lines, and rectangles that I've drawn. When I went to extrude them to make the sketch 3D, not all of the shapes I created could be extruded, presumably because in my sketch the lines/arcs did not come together properly to create a closed shape.
i wanna making a extrusion from every select line in Part
/code Public Sub test() Dim oPartdoc As PartDocument Set oPartdoc = ThisApplication.ActiveDocument Dim oCompDef As PartComponentDefinition Set oCompDef = oPartdoc.ComponentDefinition Dim oSelectSet As SelectSet
I am making a hopper to dispense sand, but I can't figure out the process to make the shape I want. I thought it would be easy! This is pretty much the first sheet metal part I've tried to make apart from easy tutorial things. I'm OK at normal parts.
I've mocked up the rough shape I want from a normal extruded part (attached). I've also attached the start of a folded version. I've had lots of attempts and none of them have really got anywhere.
I am not able to extrude closed polyline shapes. I get the following message:
Cannot create solid from open curve.
Cannot sweep or extrude non-planar objects.
Unable to extrude the selected object.
Other folks have opened my drawing – some can extrude, some get the same or similar message. I’ve tried re-building the shapes to extrude. It worked with one thing this morning and now it won’t extrude again.
In the continuing saga of me trying to learn Inventor, I have a question about the said named subject. I have a BOM that I need some subassemblies shown as such and others showing as the individual parts.
I have a cabinet that we make, and we put some holes through the sheet metal skin of the cabinet at the assembly level. I use iLogic to turn these holes on and off, depending on configurations.
Sometimes when switching between configurations the holes that were suppressed will disappear from my model and leave me with just the original sketch. So my iLogic rule errors because it can't find the hole feature.
I am using planes based off of the origin planes to define an axis that I use as my hole center line. And I then make a sketch on the XY origin plane to create a point for my hole. So everything there is independent of the cabinet model.
I design rubber molds. So, you have a cap, base, inserts, end plates... yadda yadda. Sometimes we use different configurations of a mold to make slightly different parts. For example, say by default, the "-1" configuration will be basically just the cap and base, to create a 6" part. Then, we might have a "-2" configuration with a 1" spacer insert to create a 5" part. What I want, is a parts list to automatically pull in the quantities for the different configurations in separate columns of the parts list. I'm wondering if there is a way to do this using different Level of Details.
One solution I've contemplated is creating the parts list from the "default" assy, then creating a "parts list" of the alternate assembly, but stripping off all but the quantity column... but that doesn't seem horribly elegant, and I'm not sure I can resolve all parts list rows without pegging in some dummy "custom parts".... dunno.
We are using inventor 2014 LT in our work place and just recieved it. We are a production company that often makes many variations of a single part baised on the indivual job. I was wondering if there was a way to save one part file with multiple configurations so when you pull it into assembly file you select the configuration you want and then place it on the assembly.
Basically I need to have 2 configurations of an assembly. These assemblies are identical except there is one part that will vary within them. Eventually I would like to be able to drive an assembly with multiple part configurations and suppressing and unsuppressing of parts from a table however this is my starting spot.
When I draw a sketch while making a dwg drawing, the lines are light green that is nearly invisible on the background color. How can I change the line color?
I'm using Inventor professional 2012 student edition.
I wanted to know if their was an easier way to make duplicate shapes on a drawing. I am doing a survey plat and need to make at least 66 circles with a 2.5 radius on each corner of the lot. Using copy on autocad does not work since it will place the circles off center.
Is there any way to make vector text bear the characteristic of "closed path data"? Perhaps prior to, or after, applying the text in PSP? I am trying to import files from Corel PaintShop Photo Pro into MotionStudio 3D.
I am able to bring in vector objects created, but is there a way to make it so that vector text works also, by making vector text "closed"?
I often use feature lines for parking lots and ponds. They're great when they work, but they drive me NUTS when they don't - which is a lot of the time. For parking lots and ponds, my feature lines usually close back on themselves. That's when I have trouble breaking the feature line. When I use BREAKFEATURE, I choose two points and this should, in theory, leave a gap in the feature line between those two points. That's not what happens. I end up with a huge gap between the first point I picked and a vertex point 5 or 6 vertices away. It doesn't matter where I pick the breaking points.
I've also tried TRIMFEATURES. I draw lines across the feature line where I would have chosen the breaking points. But the portion that I want to remove is the portion that always remains. It doesn't matter where I select the feature line to be trimmed (inside or outside of the cutting edges).
I think there may something wrong with the feature line itself. Sometimes, if I erase the original and draw a new one, it will trim just fine. But that's such a headache, and it doesn't always work. If I knew what was causing the feature lines to go squirrely, I would aviod it. Unfortunately, it seems like breathing the wrong way can screw up a feature line.
i dont want use editor (i don't want use CommandFlags.Session)
after the load in the database (see my code for xdb), i want to select all bloc within a closed line entity (within the xdb)
but how to do that whitout editor (editor..SelectWindowPolygon )
here my code for load each file , and mémorize all block for each file
Dim CollDocOuvert As New Collection For Each NomFichier In Fenetre.CollFichier 'recherche et extraction des blocs Dim Fichier As New IO.FileInfo(NomFichier) If Fichier.Exists = True Then GestionAUTOCAD.TxtOnLigneCOmmande("Gestion du
[Code]....
StatusLabelBar is a component of my form for write msg. is use me.refresh and a timer (1s) for refresh my form. (a trick i have found for do this [if you have better trick i take it.])
I'm trying to model a 3d leadscrew. How can I extrude a 2d closed polyline in a straight line while at the same time twisting it (360° twist for every 1.5" along the path). I've tried loft, sweep, extrude all using the helix as a path. When I can get a result, it ends up being a corkscrew.
When making a line longer with no dims on the line whats the best way to do this? Stretch command or grab one end point and type the legnth you want the line to be longer by? ie: 2" long line needs the be 2-1/2" long
I will use the stretch command without problems. 2" long line: stretch command: type .5, line is now 2-1/2" long
We have a drafter (uses 2011LT) that will grab one end point stretch the line in the direction they want the change, type the added length and the line goes to the added length..2" long line: grab right side point stretch line to right: type .5, line is now 1/2" long
They use quick properties but they don't type the change in it, they type it in the command line.
They donot stretch first they just grab the point and move to the right and type .5" and the 2" line is now .5" lone when it should be 2-1/2" long. They do not have the dynamic input on. could that be the issue? When I do the same my 2" line becomes 2-1/2" long. What would be causing the difference? This just started a few days ago after we did the update for 2011LT
I was wondering how to create custom shapes with CS2. At the moment i'm dirtily drawing straight line angles freehand and they look terrible.
How would i, for example, cut the corners a square. Id use the rectangular marquee tool rotated 45 degrees and then cut off the corners like that. But it's not accurate at all and there's no shading to make the line look smooth.
I wanted to add an extrusion to an asembly. I was able to highlight the required geometry and create the feature, but is not showing up. In the browser, there's a red "up arrow" beside it. Why is it not showing?
I have a multibodied part (roughly 700 parts) and I need to do a cut extrusion. The problem is that when I'm cutting through a hundred or more solids I might miss one if it's close to the edge. I though, no problem I'll just go back to the extrusion command and add those solids I missed. Problem, the program only lets me select one solid and undoes all I had previously.
I have used PEDIT to join multiple polylines, which now appear as polylines. But when I use QSELECT to show all open (non-closed) section, one polyline still shows up as open.
I've attached the file I'm working on. The polyline in question is the green outline on the object on the right.
I cut a curved profile using extrusion and mirrored it about the original plane. But It doesn't cut thoroughly ? there is still a surface of the rarer side of the part ?
the original extrude cut was "Through All".When do the same cut gving a distance...it mirrors perfectly..
I am working on detailing an assembly that requires two parts to be bolted together and then have a hole bored through both parts. I want to show the assembly without the bore and then with the bore. I do not want to have to create a derived part. There should be a way of toggling this extrusion in the assembly view, but I have not yet found it.
In sketches i can see the names of the dimensions, the parameters, but if i have a few extrusions, can i know which parameter governs the height of the extrusion only according to their content?